package es.ejie.frmk.infraestructura.sms;

import es.ejie.frmk.Q70FactoriaConstantes;
import es.ejie.frmk.infraestructura.utilidades.concurrencia.Q70Lock;

/**
 * Clase de la parte Servidor que crea una nueva instancia en caso de que no
 * haya una creada. En caso contrario devuelve la que esta creada. Siempre se
 * trabaja con una instancia.
 * @version 2.0 Fecha: 07-jun-06
 */
public class Q70GestorSMSServidor extends Q70GestorSMSBase {
	
private static Q70GestorSMSServidor instancia=null;
	
	/**
	 *Clase constructora 
	 */
	private Q70GestorSMSServidor() {
		super();
		setLock(new Q70Lock(Q70FactoriaConstantes.ID_GESTOR_SMS));
	}
	
	/**
	 * Devuelve la instancia del gestor de SMS de servidor. En caso de que no exista la crea.
	 * @return Instancia del gestor de SMS
	 */
	public static Q70GestorSMSServidor getSingleton()
	{
		if (instancia==null)
			instancia = new Q70GestorSMSServidor();
		return instancia;
	}

	/**
	 * 
	 */
	public void doDestruir() {
		instancia = null;
	}


}
